1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

Upgradeing PHP to the newest one

Discussion in 'Plesk for Windows - 8.x and Older' started by Dubie, Nov 17, 2004.

  1. Dubie

    Dubie Guest

    0
     
    Sup all,

    Has anyone been able to update to the newest PHP and not have any problems with Plesk?

    If so, was there anything special you had to do for it to work?

    Thanks for your time,
    Dubie
     
  2. AbsolutelyFreeW

    AbsolutelyFreeW Guest

    0
     
  3. Dubie

    Dubie Guest

    0
     
    Trying to install some stats for a game I play.
    I installed everything once before on P6.5 because PHP was not tweaked all into plesk so it was easy to update it.
    Now that PHP is a big part of Plesk 7, updateing it to a newer then 4.+ version would brake it fast...

    Here is my problem I need to install a copy different thing to get these stats workin on a Windows system.

    Windows Installs:
    IIS : Done version 6.0

    Apache : Need to install the "Get the "Win32 Binary (MSI Installer)" for Apache 2.0.x"
    Thought I had this already but it must not be everything it needs to have to run.

    PHP & GD2 : Need to be able to run php from anywhere on command line.
    I have the PHP >= 4.3 for the GD2 extension.
    So I guess PHP really only needs this so it not a biggie but the ActivePerl and Apache are must have.

    MySQL : Done

    ActivePerl : Need these:
    ppm> install TermReadKey
    ppm> install DBI
    ppm> install DBD-mysql

    Would it be ok for me to install ActivePerl & Apache on my server with out messing up Plesk?
    I thought at one time maybe in 6.5. Plesk used ActivePerl or Ax\ctiveStats or something like that. If so still what version it is on and can I just update it maybe?

    I am running:
    Windows 2003 Server
    Plesk 7.+ newest updated version.

    Thanks for your time,
    Dubie
     
  4. AbsolutelyFreeW

    AbsolutelyFreeW Guest

    0
     
    at least my perl is active perl 5.8.3

    and apache is 2.0.50

    GD is 2.0.28

    all already included in Plesk 7.0
     
  5. Dubie

    Dubie Guest

    0
     
    Where is your ActivePerl installed at?
    I have look all over for mine & I dont see it.
    Did a search for ppm* and came up with nothing.
    Thought that was a program that was installed be defualt by ActivePerl.

    So if you give me a location that might help me out some here.
    It's not liisted on my Com. list either.

    Thanks for your time,
    Dubie
     
  6. AbsolutelyFreeW

    AbsolutelyFreeW Guest

    0
     
    It is under program files / swsoft / plesk / like the other software plesk uses.

    Came with the windows standard edition and plesk from ev1servers.

    seems strange you dont find anything with ppm.. :(
     
  7. Dubie

    Dubie Guest

    0
     
    What am I missing here?

    admin
    Backup
    bin
    capicom
    dns
    doc
    etc
    isapi
    Jdk
    MySql
    Php
    Python
    Schedules
    stunnel
    tmp
    Tomcat
    var
    Webalizer

    Thats everything in Plesk folder.

    Thanks for your time,
    Dubie
     
  8. AbsolutelyFreeW

    AbsolutelyFreeW Guest

    0
     
    seems like it is missing yeah :(
     
  9. shwonder

    shwonder Guest

    0
     
    Do you see Perl on 'component info' page in Plesk?
    Plesk installer tries to find preinstalled components and if some of them are found, it doesn't install them.
    I recommend you to uninstall Perl, if you have it and then start Plesk installer again ('Modify' mode) to set it up on your server.
    Plesk installer has bug: if you preinstall Perl before Plesk, you cannot install AWStats. If you don't want to install AWStats, you can use preinstalled Perl.

    Best regards
     
  10. Dubie

    Dubie Guest

    0
     
    Here is my list of Coms

    *Web Server Microsoft IIS 6.0
    *psa-autoupdate 1.1.1703.28429
    *Web scripting Microsoft ASP 6.0.3790.0
    *Microsoft ASP.NET 1.1.4322.0
    *python 2.3.2
    *php 4.3.6 (cgi-fcgi) (built: Apr 14 2004 17:21:37)
    *Web Publishing Microsoft FrontPage 5.0.2.5012
    *FTP Server Microsoft IIS 6.0
    *Database Engine Microsoft SQL server 8.00.194
    *mysql 4.0.20a-nt
    *Mailing list software Mail Enable 1.54
    *Mail Server Mail Enable 1.54
    *Java JDK 1.4
    *Tomcat 5.0.19
    *Web statistics webalizer V2.01-10-RB02 (Windows NT 5.2 ) English
    *DNS Server Plesk DNS Server 9.2.3
    *WebMail webmail 3.2.2
    *ColdFusion
    *Spam filtering
    *Antivirus filtering
    *Backup psa-bu 7.0.0-win.build040811.21 (1.0.1664.3022)
    *Expand Agent pleskagent 1.3.0.5

    I see no perl.
    I had 6.5 and did an update and it didn't work out so good but they got it fixed they said and it updated.
    So I take it, it might have updated bad and is missing some things.
    Crazy that everything works fine tho and I have added sites and removed them with no problems.

    If I re-run the install is it going to mess with any of the sites I have installed already?
    Just trying to be safe before I run it again.

    Thanks for your time,
    Dubie
     
  11. Dubie

    Dubie Guest

    0
     
    Here is my list of Coms

    *Web Server Microsoft IIS 6.0
    *psa-autoupdate 1.1.1703.28429
    *Web scripting Microsoft ASP 6.0.3790.0
    *Microsoft ASP.NET 1.1.4322.0
    *python 2.3.2
    *php 4.3.6 (cgi-fcgi) (built: Apr 14 2004 17:21:37)
    *Web Publishing Microsoft FrontPage 5.0.2.5012
    *FTP Server Microsoft IIS 6.0
    *Database Engine Microsoft SQL server 8.00.194
    *mysql 4.0.20a-nt
    *Mailing list software Mail Enable 1.54
    *Mail Server Mail Enable 1.54
    *Java JDK 1.4
    *Tomcat 5.0.19
    *Web statistics webalizer V2.01-10-RB02 (Windows NT 5.2 ) English
    *DNS Server Plesk DNS Server 9.2.3
    *WebMail webmail 3.2.2
    *ColdFusion
    *Spam filtering
    *Antivirus filtering
    *Backup psa-bu 7.0.0-win.build040811.21 (1.0.1664.3022)
    *Expand Agent pleskagent 1.3.0.5

    I see no perl.
    I had 6.5 and did an update and it didn't work out so good but they got it fixed they said and it updated.
    So I take it, it might have updated bad and is missing some things.
    Crazy that everything works fine tho and I have added sites and removed them with no problems.

    If I re-run the install is it going to mess with any of the sites I have installed already?
    Just trying to be safe before I run it again.

    Thanks for your time,
    Dubie
     
  12. cviviani

    cviviani Guest

    0
     
Loading...